Subject: Re: [PATCH v3 0/14] some netpoll and netconsole fixes

From: Cong Wang <[email-masked]>
Date: Fri, 10 Aug 2012 10:13:22 +0800

On Thu, 2012-08-09 at 16:36 -0700, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Thu, 09 Aug 2012 16:30:46 -0700 (PDT)
> 
> > From: Cong Wang <[email-masked]>
> > Date: Thu,  9 Aug 2012 23:00:12 +0800
> > 
> >> V3:
> >> * add more patches
> >> * update patch 7 as David suggested
> >> 
> >> V2:
> >> * update patch 1/8 as Eric suggested
> >> * drop the bridge patch, add comments instead
> >> * add patch 8/8
> >> 
> >> This patchset fixes serval problems in netconsole and netpoll.
> >> 
> >> I ran this patch in my KVM guest with some netpoll test cases,
> >> even covered with some corner cases, everything worked as expected.
> > 
> > All applied to 'net', thanks for fixing all of this stuff.
> 
> Actually, you didn't test the build very well, I'm reverting:
> 
> In file included from drivers/net/team/team_mode_broadcast.c:17:0:
> include/linux/if_team.h: In function ‘team_dev_queue_xmit’:
> include/linux/if_team.h:107:6: error: dereferencing pointer to incomplete type
> make[3]: *** [drivers/net/team/team_mode_broadcast.o] Error 1
> make[3]: *** Waiting for unfinished jobs....
> In file included from drivers/net/team/team.c:31:0:
> include/linux/if_team.h: In function ‘team_dev_queue_xmit’:
> include/linux/if_team.h:107:6: error: dereferencing pointer to incomplete type
> make[3]: *** [drivers/net/team/team.o] Error 1
> make[2]: *** [drivers/net/team] Error 2
> make[2]: *** Waiting for unfinished jobs....

Oops! Sorry that I forgot to enable CONFIG_NET_TEAM.

Do you want me to send a delta patch or send v4?

Thanks.